% CRITMESH.M draws the criterion surface over a two-dim. subplane of 
% alpha-space.  Need to give
% it three points to pin down the plan in alpha-space:
% alpha1, alpha2, alpha3.
% The picture will be centered around alpha1
npts = 11; % Use an ODD number!!
minl = -1;
maxl = 1;
z = zeros(npts,npts);
l = minl : (maxl - minl)*.999999/(npts-1) : maxl;
scale_fct = ones(nvar,1);
for i = 1 : npts,
   for j = 1 : npts,
      alpha = alpha1 + l(i)*(alpha2-alpha1) +...
         l(j)*(alpha3-alpha1);
      z(i,j) = crit(alpha);
   end;
end;
z=z-z((npts+1)/2,(npts+1)/2);
mesh(l,l,z);
scale_fct = scale_old;