% This file explains the origin of the different monte.mat files in
% this directory.
CHOICE = 2;
% All the following monte.mat files used
SCALE_SIZE = 100;
% for the standard deviation of the first differences of the rescaled series, see DATA.M.

%
% Monte_a.mat is a testrun, containing just five random draws.
%

% Monte_b.mat has been run with the following parameters.
% Note that the restriction length is 2 years, and that no restriction is imposed on the
% federal funds rate.  

if CHOICE == 2,

DO_ON_SPHERE = 1;
          % YOU NEED TO SET THE SAME OPTION ALSO IN SEARCH.M!!!
DO_NVAR_6 = 1;  % If DO_ON_SPHERE, DO_NVAR_6 = 1 should be used only if nvar = 6.
                % In that case, it will use numerically attractive spherical coordinates.
% Recall: GNP, Prices, Comm.prices, Tot.Res., Nonborr.Res., FFR
WEIGHTS = [ 0,      1,           1,        0,            1,   0 ];
SIDE    = [ 0,      1,           1,        0,            1,  -1 ];
% HOW_FAR = 24;
SCALE = 100;

elseif CHOICE == 2,
