% ROOTS calculates the roots of the system and checks, in particular, whether
% there are unit roots or explosive roots.

bb_mat = [ (bb(LEADTRENDS+1:max(size(bb)),:))'
           eye(nvar*(nlags-1),nvar*nlags) ];
rootlist = eig(bb_mat);
explos = sum( abs(rootlist) >= 1 );
disp(sprintf('There are %5.0f unit or explosive roots',explos));
